#include <avr/io.h>			// Muss immer sein
#include <avr/interrupt.h> 	// Fuer Interrupts
#include <inttypes.h> 		// Fuer Datentyp

#include "main.h"			// Allgemeine Programmablauf 
#include "init.h"			// Initialisieren 
#include "time.h"			// Zeitfunktionen 
#include "indikator.h"		// Bedienung von Indikator 
#include "knopf.h" 			// Tastenabfrage 
#include "semisegment.h"	// Indikatorschaltung 
#include "logik.h"			// Logik 



void init(void){
	CLKPR = 1<<CLKPCE; // FCPU Div >> 1
	CLKPR = 0;

	PRR = (1<<PRTWI)|(1<<PRTIM2)|(1<<PRSPI)|(1<<PRUSART0)|(1<<PRADC);
		// Ausschalten I2C, timer 2, SPI, USART und ADC
		
		// UV-Ausgang einstimmen
		UV_PORT &= ~(1<<UV_OUT); // UV ausschalten
		UV_DDR |= (1<<UV_OUT);   // Port als Ausgang
			// Licht-Ausgang einstimmen
		LICHT_PORT &= ~(1<<LICHT_OUT); // Beleuchtung ausschalten
		LICHT_DDR |= (1<<LICHT_OUT);   // Port als Ausgang
	init_indikator();	// Indikator einstimmen. File: indikator.c
	init_knopf();		// Tasten einstimmen. File knopf.c
	init_time();		// Time einstimmen. File time.c
			// timer 0 einstimmen CTC-Mode
		TCNT0 = 0;			// Zaehler auf Null
		OCR0A = INIT_PULS;	// Divider fuer timer (init.h)
		TCCR0A = (1<<WGM01); // CTC-Mode
		TCCR0B = (1<<CS01)|(1<<CS00); // Start mit 1/64 Prescaler
		TIMSK0 = (1<<OCIE0A); // Interrupt erlauben timer0 OCR0A
			// timer 1 einstimmen
		ZV_PORT &= ~(1<<ZV_OUT); // Ausgang fuer Klang
		ZV_DDR |= (1<<ZV_OUT); // CTC-Mode
		OCR1A = INIT_KLANG; // Divider fuer timer (init.h)
		TCCR1A = (1<<COM1A0); // OC1A fuer Klang
		TCCR1B = (1<<WGM12); // Start ohne Prescaler (1<<CS10)
	
	lese_voreinstellung();	// Voreinstellung fuer Zeit lesen, File logik.c
	if((timepres<0)||(timepres>5999)) {
	timepres = T_PRES; // Einstellung fuer Sek. Spaeter mit EEPROM machen!
	}
	sei();
}
