#ifndef KNOPF
#define KNOPF 1

void init_knopf(void);
void knopf_abfrage(void);
unsigned char get_key_press( unsigned char key_mask ); 
// Pruefung Taste gedruckt? 

unsigned char get_key_rpt( unsigned char key_mask ); 
// Pruefung lang gedruckt 
// lange gedruckt = schnell zaehlen

// check if a key is pressed right now
unsigned char get_key_state( unsigned char key_mask ); 
// Ob Taste gehalten wird 

unsigned char get_key_short( unsigned char key_mask ); 
// Ob kurz gedruckt 

unsigned char get_key_long( unsigned char key_mask );

#define PORT_KN PORTC
#define PIN_KN PINC
#define DDR_KN DDRC

/* 5=LICHT 1=U 2=O 3=M 4=SP 0=START */
#define KN_U PC1
#define KN_O PC2
#define KN_M PC3
#define KN_SP PC4
#define KN_START PC0
#define KN_LICHT PC5


#define KN_ALL_OUT (DDR_KN |= (1<<KN_U)|(1<<KN_O)|(1<<KN_M)|(1<<KN_SP)|(1<<KN_START)|(1<<KN_LICHT)) 
/* all Ausgang */

#define KN_ALL_IN (DDR_KN &= ~( (1<<KN_U)|(1<<KN_O)|(1<<KN_M)|(1<<KN_SP)|(1<<KN_START)|(1<<KN_LICHT)))
/* all Eingang */

#define KN_ALL_EIN (PORT_KN |= (1<<KN_U)|(1<<KN_O)|(1<<KN_M)|(1<<KN_SP)|(1<<KN_START)|(1<<KN_LICHT))
/* all in 1 */

#define KN_ALL_AUS (PORT_KN &= ~( (1<<KN_U)|(1<<KN_O)|(1<<KN_M)|(1<<KN_SP)|(1<<KN_START)|(1<<KN_LICHT)))
/* all in 0 */

#define REPEAT_START    50                   /* after 500ms */
#define REPEAT_NEXT     10                   /* every 200ms */
#define REPEAT_MASK     (1<<KN_U | 1<<KN_O)  /* repeat: key1, key2 */

#endif
