#ifndef F_CPU
#define F_CPU 10000000UL
#endif

#ifndef MAIN
#define MAIN 1

/* Globale Variablen */
extern int time; /* Zeitregister */
extern int timepres; /* Zeitvoreinstellung */
extern unsigned int schall_laenge; /* Dauer des Klangs in ms, 
arbeitsreg. */
extern unsigned char key_state; // debounced and inverted key state:
                  // bit = 1: key pressed
extern unsigned char key_press; // key press detect
extern unsigned char key_rpt;  // key long press and repeat
/* 5=LICHT 1=U 2=O 3=M 4=SP 0=START */

#ifndef FLAGG
	#define FLAGG GPIOR0 /* fuer Ereignisse */
	#define F_DP 7 		/* fuer Blinken von Doppelpunkt */
	#define F_SEK 6 	/* fuer Sekunden zaehlen */
	#define F_IND 5		/* fuer Indikator */
	#define EF_SEK 4	/* Sekunden zaehlen gestattet */
	#define F_LICHT 3	/* fuer Licht (Beleuchtung) */
	#define F_PULS 0	/* Tik 1250 , wird in ISR Tim0 gesetzt */
#endif

#define UV_PORT PORTB	/* UV-Strahler */
#define UV_DDR DDRB
#define UV_OUT PB2

#define ZV_PORT PORTB	/* Schall */
#define ZV_DDR DDRB
#define ZV_OUT PB1

#define LICHT_PORT PORTB	/* Beleuchtung */
#define LICHT_DDR DDRB
#define LICHT_OUT PB0

#define K_ZV_C4 (F_CPU/2/2093 - 1)
#define K_ZV_E4 (F_CPU/2/2637 - 1)

#endif
